Page MenuHomePhabricator

Exception on MediaWiki.org on mobile web
Closed, ResolvedPublic

Description

Could not retrieve notifications. Please try again. (Error [VyI1QApAIEAAAEJCTjYAAABQ] Exception Caught: Call to a member function diff() on a non-object (boolean))

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2016, 4:09 PM
Mattflaschen-WMF triaged this task as Unbreak Now! priority.Apr 28 2016, 4:11 PM
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptApr 28 2016, 4:11 PM
Krenair added a subscriber: Krenair.
2016-04-28 16:07:28 [VyI1QApAIEAAAEJCTjYAAABQ] mw1194 mediawikiwiki 1.27.0-wmf.22 exception ERROR: [VyI1QApAIEAAAEJCTjYAAABQ] /w/api.php?action=query&format=json&meta=notifications&notsections=message%7Calert&notformat=model&notlimit=25&notunreadfirst=1&notprop=list%7Ccount&uselang=en&notcrosswikisummary=1&_=1461859645288   BadMethodCallException from line 70 of /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/ForeignNotifications.php: Call to a member function diff() on a non-object (boolean) {"exception_id":"VyI1QApAIEAAAEJCTjYAAABQ"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/ForeignNotifications.php:70) Call to a member function diff() on a non-object (boolean)
  #0 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/api/ApiEchoNotifications.php(281): EchoForeignNotifications->getTimestamp(NULL)
  #1 /srv/mediawiki/php-1.27.0-wmf.22/extensions/Echo/includes/api/ApiEchoNotifications.php(76): ApiEchoNotifications->makeForeignNotification(User, string, NULL)
  #2 /srv/mediawiki/php-1.27.0-wmf.22/includes/api/ApiQuery.php(250): ApiEchoNotifications->execute()
  #3 /srv/mediawiki/php-1.27.0-wmf.22/includes/api/ApiMain.php(1367): ApiQuery->execute()
  #4 /srv/mediawiki/php-1.27.0-wmf.22/includes/api/ApiMain.php(468): ApiMain->executeAction()
  #5 /srv/mediawiki/php-1.27.0-wmf.22/includes/api/ApiMain.php(434): ApiMain->executeActionWithErrorHandling()
  #6 /srv/mediawiki/php-1.27.0-wmf.22/api.php(83): ApiMain->execute()
  #7 /srv/mediawiki/w/api.php(3): include(string)
  #8 {main}

Change 286005 had a related patch set uploaded (by Catrope):
ForeignNotifications: Fix fatal when one section has no timestamp

https://gerrit.wikimedia.org/r/286005

Change 286005 merged by jenkins-bot:
ForeignNotifications: Fix fatal when one section has no timestamp

https://gerrit.wikimedia.org/r/286005

Change 286012 had a related patch set uploaded (by Catrope):
ForeignNotifications: Fix fatal when one section has no timestamp

https://gerrit.wikimedia.org/r/286012

Change 286012 merged by jenkins-bot:
ForeignNotifications: Fix fatal when one section has no timestamp

https://gerrit.wikimedia.org/r/286012

Mentioned in SAL [2016-04-28T18:42:35Z] <catrope@tin> Synchronized php-1.27.0-wmf.22/extensions/Echo/: Fix fatal T133921 (duration: 00m 32s)

Catrope closed this task as Resolved.Apr 28 2016, 6:44 PM
Catrope claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM